# 基本介绍

## yite-cli 是什么？

`yite-cli` 是一个基于 `vite` 深度封装的 `方便`、`好用`、`强大` 的`vue3` 项目开发脚手架。

## 项目宗旨

约定大于配置！

`约定` 大于 `配置` 是本项目的核心宗旨。

那么什么是 `约定大于配置` 呢？百科解释如下：

> 约定优于配置（convention over configuration），也称作按约定编程，是一种软件设计范式，旨在减少软件开发人员需做出决定的数量，活得简单的好处，而又不失灵活性。

约定优于配置，并不是零配置或者完全没有配置，而是通过约定来减少配置！！！

只有理解好这个概念，才能用好 `yite-cli` 脚手架。

## 有哪些约定

-   仅支持使用 `scss` 语法，`less`，`stylus` 都不支持。
-   图标库默认使用 `icones` 的 1 万多个图标

## 什么情况避免使用

-   路由数量大于 500 的中大型项目
-   对开发灵活性要求高的项目

## 什么情况推荐使用

-   中小型且没有动态路由的项目
-   需要快速开发、便于扩展、利于维护的项目

## 有什么功能特性

-   不需要手写路由配置，文件结构即时路由
-   默认提供 `i18n` 国际化多语言支持
-   环境变量放到 `src/env` 目录中，便于管理
-   默认提供自动导入文件、配置、组件、插件等
-   灵活可控的项目骨架（`layout`）
-   默认提供封装好的全局 `pinia` 存储方案
-   默认提供 `scss` 变量自动导入
-   默认提供强大的工具函数
-   默认提供 `vite` 预构建配置，解决页面重新加载的问题
-   极少的项目依赖，所有开发依赖都在脚手架中
-   默认提供 `git` 提交时格式化支持

## 有什么优势

-   大量自动特性，提高效率
-   大量约定配置，提高项目稳定性
-   提供完整且完善的基本项目开发模板

## 版权声明

本仓库下的所有代码，均为 GPL-3.0 协议，如果你需要使用本仓库中的项目，需要满足以下要求：

1. 你可以免费使用、复制、修改、分发受保护程序，但分发时一定要提供源码。
2. 你可以使用本仓库中的项目开发商业软件并收费，但不能收许可费、版税、专利许可费、授权费这类费用。
3. GPL 程序的所有贡献者，自动免费提供了专利许可，承诺不会告人侵犯专利权。
4. GPL 程序允许别人破解。如果是用在消费类硬件上，要允许人修改并安装程序。

简而言之，请任意免费使用或商用，但是请保留本项目版权所有。

## 作者简介

| 属性         | 值                                                           |
| ------------ | ------------------------------------------------------------ |
| 姓名         | 陈随易                                                       |
| 性别         | 男                                                           |
| 出生年月     | 1993 年 10 月                                                |
| 职业         | 基层小码农                                                   |
| 就业时间     | 2015 年 9 月                                                 |
| 性格         | 喜欢安静，喜欢分享，喜欢钻研                                 |
| 身份         | 前端吹水专家，高级劝退师                                     |
| 爱好         | 敲代码，写小说，看电影，算命                                 |
| 微信         | c91374286                                                    |
| 扣扣         | 24323626                                                     |
| 邮箱         | bimostyle@qq.com                                             |
| 知乎         | [知乎陈随易](https://www.zhihu.com/people/chensuiyi)         |
| 掘金         | [掘金陈随易](https://juejin.im/user/1239904846873326)        |
| 码云         | [码云陈随易](https://gitee.com/banshiweichen)                |
| github       | [github 陈随易](https://github.com/chenbimo)                 |
| 支付宝赞助码 | ![支付宝](https://static.chensuiyi.com/alipay-qrcode.png)    |
| 微信赞助码   | ![微信收款码](https://static.chensuiyi.com/wepay-qrcode.png) |
