# 快速体验

## 安装 `npm` 包下载工具

全局安装 `@yicode/dlnpm` 包

```bash
pnpm add -g @yicode/dlnpm
```

## 下载 `@yicode-template/base-vue3` 模板

```bash
D:\codes\yicode\labs>cd dlnpm
ℹ 开发者：随易科技（https://yicode.tech）
-----------------------------------------
? 选择下载类型 官方资源
? 选择从哪里下载 淘宝仓库 - npmmirror.com
? 选择要下载的包 yite + vue3 基础项目开发模板
? 输入要下载的版本（默认下载最新版本） latest
✔ 资源已下载到默认的 npm-package 目录，请移动到正确的目录!
```

下载成功后，项目文件将会解压到当前目录下的 `npm-package` 目录中

将其全部移动到当前目录中（注意同名文件问题！），项目结构如下：

```shell
.
├── .yicode
│   ├── yitool.config.json
│   └── yite.config.js
├── public
│   └── logo.png
├── src
│   ├── assets 资源目录
│   │   └── logo.png
│   ├── components 全局组件（自动导入）
│   │   └── .gitkeep
│   ├── config 配置目录（自动导入）
│   │   └── .gitkeep
│   ├── env 环境变量
│   │   ├── .env.development
│   │   └── .env.production
│   ├── hooks 钩子目录（自动导入）
│   │   └── .gitkeep
│   ├── i18n 国际化
│   │   ├── en.json
│   │   └── zh.json
│   ├── layouts 骨架目录
│   │   └── default.vue
│   ├── pages 页面目录
│   │   ├── index.vue
│   │   └── news.vue
│   ├── plugins 插件目录（自动导入）
│   │   ├── http.js
│   │   ├── i18n.js
│   │   └── storage.js
│   ├── router 路由目录（自动导入）
│   │   └── index.js
│   ├── stores 全局存储
│   │   └── useGlobal.js
│   ├── styles 样式目录（自动导入）
│   │   ├── global.scss
│   │   └── variable.scss
│   ├── utils 工具函数（自动导入）
│   │   └── index.js
│   ├── app.js 共用入口文件
│   ├── App.vue 项目挂载
│   ├── devMain.js 开发入口
│   └── main.js 正式入口
├── index.html 单页页面
├── jsconfig.json
├── LICENSE
├── package.json
└── README.md
```

## 运行项目

首先，安装好项目相关依赖包

```bash
pnpm install
```

然后，运行如下命令启动开发环境

```bash
pnpm run dev
```
